#ifndef ENVIFID_H
#define ENVIFID_H

#include <string>
#include <iostream>
#include <fstream>
#include <ctime>
#include <sstream>
#include "EnviHeader.h"
using namespace std;

class EnviFidClass
{
public:
    //binary file name
    string fileName;

    //header structure
	EnviHeaderClass header;

	//valid flag (is the current file valid)
	int isValid;

	//file mask (NULL if the whole file is to be read)
	char* mask;

	//current position (in pixels) in the file
	int filePos;

	//read/write mode ("r" or "w")
	string mode;

	//create a variable to store a pointer to the binary file
	FILE * file;

    //constructor, set default values
	EnviFidClass()
	{
        isValid = 0;
        filePos = 0;
    }


};


#endif
